> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.barayuda.web.id/api-reference/swagger-plant-store-open-api-3-1/user/login-user/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.barayuda.web.id/_mcp/server. # Logs user into the system GET https://api.plantstore.dev/v3/user/auth/login Reference: https://docs.barayuda.web.id/api-reference/swagger-plant-store-open-api-3-1/user/login-user ## Request ### Query parameters - `username` (string, optional) — The username for login - `password` (string, optional) — The password for login ## Response ### 200 Successful login - `token` (string, optional) — Authentication token - `expiresIn` (integer, optional) — Token expiration time in seconds ## Examples **Response** ```json { "token": "abc123token", "expiresIn": 3600 } ``` **SDK Code** ```python Successful login response import requests url = "https://api.plantstore.dev/v3/user/auth/login" response = requests.get(url) print(response.json()) ``` ```javascript Successful login response const url = 'https://api.plantstore.dev/v3/user/auth/login'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Successful login response package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.plantstore.dev/v3/user/auth/login" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Successful login response require 'uri' require 'net/http' url = URI("https://api.plantstore.dev/v3/user/auth/login") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java Successful login response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.plantstore.dev/v3/user/auth/login") .asString(); ``` ```php Successful login response request('GET', 'https://api.plantstore.dev/v3/user/auth/login'); echo $response->getBody(); ``` ```csharp Successful login response using RestSharp; var client = new RestClient("https://api.plantstore.dev/v3/user/auth/login"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift Successful login response import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api.plantstore.dev/v3/user/auth/login")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```